﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using Infragistics.Windows.DataPresenter;
using WpfApplication9.ViewModel;

namespace WpfApplication9.ViewModel
{
  public  class ExpanderConverter:IMultiValueConverter
    {
        #region IMultiValueConverter Members

        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
           // throw new NotImplementedException();
            if (values[0] == null || values[1] == null)
            {
                return null;
            }
            Record r = values[1] as Record;
            DataRecord dr = r as DataRecord;
            Person p = dr.DataItem as Person;
            if (p == null)
                return null;
            r.IsExpanded = p.IsExpanded;
            return p.IsExpanded;
            
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
          //   throw new NotImplementedException();
             return Array.ConvertAll<Type, Object>(targetTypes, t => value);

        }

        #endregion
    }
}
